import 'dart:convert';

import 'package:flutter/material.dart';

class CartPage2 extends StatefulWidget {
  const CartPage2({Key? key}) : super(key: key);

  @override
  State<CartPage2> createState() => _CartPage2State();
}

class _CartPage2State extends State<CartPage2> {
  final List _cartImage=[
    'assets/clothing/1.webp',
    'assets/clothing/2.webp',
    'assets/clothing/3.webp',
    'assets/clothing/4.webp',


  ];

  final List _cartName=[
    "Men's Jackets Casual Waterproof Blank Golf Lightweight Windbreaker Bomber Jacket For Men",
    'Wholesales Apparel stock men shorts Quality cargo shorts',
    "Men's Clothing Men's Hoodies&Sweatshirts Graphic Plus Size Women's Oversize Blank Hoodies Set",
    "custom logo 100% Cotton Men Crewneck french terry oversized Sweatshirt 3D Embossed",

  ];
  final List _cartQuantity=['2','1','1','3'];
  final List _cartPrice=['213','2341','132','3234'];





  @override
  Widget build(BuildContext context) {
    Size scrSize=MediaQuery.of(context).size;
    const myColor=Colors.deepPurple;
    return Scaffold(
        appBar: AppBar(
          backgroundColor: myColor,
          title: const Text('My Cart'),
          actions: [
            IconButton(onPressed: (){

            }, icon: const Icon(Icons.cleaning_services))
          ],
        ),
        body:SingleChildScrollView(
          child: Column(
            children: [
              ListView.builder(
                  physics: ScrollPhysics(),
                  shrinkWrap: true,
                  itemCount: _cartImage.length,
                  itemBuilder: (context,index){
                    return Container(
                      decoration: BoxDecoration(
                        borderRadius: BorderRadius.circular(10),
                        color: Colors.white,
                          boxShadow: [BoxShadow(
                              color: Colors.grey,
                              blurRadius: 3,
                              spreadRadius: 2,
                              offset: Offset(0,3)
                          )]
                      ),
                       margin: const EdgeInsets.only(top: 20.0,left: 15,right: 15),
                      padding: const EdgeInsets.all(8),
                      child: Row(
                        mainAxisAlignment: MainAxisAlignment.spaceAround,
                        children: [
                          Image(
                              height: 100,
                              width: 100,
                              image: AssetImage('${_cartImage[index]}')),
                          const SizedBox(width: 10,),
                          Column(
                            children: [
                              Container(
                                  width: scrSize.width*.35 ,
                                  child: Text('${_cartName[index]}')),
                              const SizedBox(height: 10),
                              Row(
                                children: [
                                  Text('\u0024${_cartPrice[index]}'),
                                  const Text('X'),
                                  Text('${_cartQuantity[index]}'),
                                  const Text('='),
                                  Text('${double.parse(_cartPrice[index])*double.parse(_cartQuantity[index])}')
                                ],
                              ),

                            ],
                          ),
                          SizedBox(
                            height: 100,
                            child: Column(
                              mainAxisAlignment: MainAxisAlignment.spaceEvenly,
                              children: [
                                InkWell(
                                  onTap: (){

                                  },
                                  child: const Icon(Icons.delete,color:myColor,size: 30,),
                                ),
                                SizedBox(

                                  height: 20,
                                  width: scrSize.width*.2,
                                  child: Row(
                                    mainAxisAlignment: MainAxisAlignment.spaceAround,
                                    children: [
                                      InkWell(
                                        onTap: (){},
                                        child: const Icon(Icons.remove,color: myColor,),
                                      ),
                                      Text('${_cartQuantity[index]}',style: const TextStyle(fontSize: 20,color: myColor),),
                                      InkWell(
                                        onTap: (){
                                        },
                                        child: const Icon(Icons.add,color: myColor,),
                                      )
                                    ],
                                  ),
                                )
                              ],
                            ),
                          )
                        ],
                      ),
                    );

                  }),
              SizedBox(height: 50),
              Container(
                decoration: BoxDecoration(
                  borderRadius: BorderRadius.circular(10),
                  color: Colors.white,
                  boxShadow: [BoxShadow(
                    color: Colors.grey,
                    spreadRadius: 2,
                    blurRadius: 2,
                    offset: Offset(2,2)
                  )]
                ),
                child: ElevatedButton(
                  onPressed: (){},
                  child: Text('Place Order',style: TextStyle(color:myColor,fontSize: 20),),
                  style: ElevatedButton.styleFrom(
                    shadowColor: Colors.transparent,
                      backgroundColor: Colors.transparent,
                      padding: EdgeInsets.symmetric(horizontal: 50,vertical: 15)
                  ),
                ),
              ),
              SizedBox(height: 50,)
            ],
          ),
        ));

  }


}



